%define name dact
%define version 0.8.42
%define release %mkrel 1

%define _disable_ld_no_undefined 1

Summary: Dinamically choose best algorithm to compress a file
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.rkeene.org/files/oss/dact/%{name}-%{version}.tar.gz
License: LGPL
Group: Archiving/Compression
Url: http://www.rkeene.org/oss/dact/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: liblzo-devel
BuildRequires: libbzip2-devel
BuildRequires: libmcrypt-devel

%description
DACT is a compression tool designed to compress a file dynamically, 
choosing the algorithm that works best per block of input data to 
produce an overall smaller output file. 

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_sysconfdir
mkdir -p %buildroot%_mandir/man1

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MD5SUMS README TODO.ideas TODO VERSION ChangeLog AUTHORS
%doc Docs/config_help.txt Docs/dact.txt Docs/helpfile.txt
%config(noreplace) %_sysconfdir/%name.conf
%_bindir/%name
%dir %_datadir/%name
%_libdir/lib%name.*
%_mandir/man1/%name.*



%changelog

* Wed Sep 21 2011 nanardon <nanardon> 0.8.42-1.mga2
+ Revision: 146529
- 0.42

* Sun May 08 2011 nanardon <nanardon> 0.8.41-1.mga1
+ Revision: 96335
- imported package dact


* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.8.41-1mdv2008.1
+ Revision: 140717
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Sep 01 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-01 22:32:40 (59568)
- 0.8.41

* Fri Jul 28 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-07-28 20:57:46 (42476)
- rebuild

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 12:36:37 (31646)
renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-01-11 22:07:04 (1409)
- dact-0.8.39-3mdk

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-01-11 21:27:20 (1408)
- dact-0.8.39-2mdk

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-01-11 21:26:49 (1407)
- dact-0.8.39-2mdk

* Wed Jan 11 2006 Olivier Thauvin <nanardon@mandriva.org> 0.8.39-3mdk
- rebuild

* Fri May 13 2005 Olivier Thauvin <nanardon@mandriva.org> 0.8.39-2mdk
- birthday rebuild
- put .so files in %%_libdir

* Sat Apr 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.39-1mdk
- 0.8.39

* Wed Jan 07 2004 Olivier Thauvin <nanardon@klama.mandrake.org> 0.8.35-1mdk
- 0.8.35
- DIRM fix

* Fri Dec 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.8.34-1mdk
- 1mdk spec

